MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023496Open CASCADE[OCCT] OCCT:VISpublic2012-10-27 16:322014-11-11 12:58
Reporterssv 
Assigned Toaba 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0023496: Selection blinking in Draw suite for VIS
DescriptionUse case:

> pload ALL
> pload -DrawPluginProducts VIS
> box a 1 1 1
> ivtkinit
> ivtkdisplay a
> ivtksetdispmode 1
> ivtksetselmode 4 1

Having FACE selection mode activated (ivtksetselmode 4 1), try to pick any face. You will see that highlighting initially gets BLACK and moment after gets WHITE. Moreover, the highlighting is colored with black all the time user holds left mouse button pressed.

The possible solution for this problem is to erase detection actor (colored with cyan) before making the resulting picking actor (colored with white) visible.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0022877closedbugmaster Draw Harness - add plugin for VIS component 

-  Notes
(0031946)
apn (administrator)
2014-09-22 16:42

Dear aba,

Problem is not reproduced on current state of master.
(0032033)
aba (developer)
2014-09-23 17:29
edited on: 2014-09-23 17:29

Dear Bugmaster,

please close the issue.


- Issue History
Date Modified Username Field Change
2012-10-27 16:32 ssv New Issue
2012-10-27 16:32 ssv Assigned To => szv
2012-10-27 16:32 ssv Relationship added related to 0022877
2012-10-27 16:34 ssv Description Updated View Revisions
2013-02-14 13:39 bugmaster Project Open CASCADE => Internal
2013-02-20 09:38 szv Assigned To szv => ssv
2014-03-20 14:31 aba Assigned To ssv => aba
2014-03-20 14:31 aba Status new => assigned
2014-09-12 14:42 abv Target Version => 6.8.0
2014-09-18 09:58 abv Category PRODUCTS:VIS => OCCT:VIS
2014-09-18 10:39 bugmaster Project Internal => Open CASCADE
2014-09-22 16:42 apn Note Added: 0031946
2014-09-22 16:42 apn Status assigned => feedback
2014-09-23 17:28 aba Assigned To aba => bugmaster
2014-09-23 17:29 aba Note Added: 0032033
2014-09-23 17:29 aba Note Edited: 0032033 View Revisions
2014-09-23 17:42 bugmaster Assigned To bugmaster => aba
2014-09-23 17:42 bugmaster Status feedback => tested
2014-09-23 17:42 bugmaster Status tested => verified
2014-09-23 17:42 bugmaster Resolution open => fixed
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker